/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 家庭情况Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffFamily extends DataEntity<WorkStaffFamily> {
	
	private static final long serialVersionUID = 1L;
	private String staff;		// 员工ID
	private String relation;		// 与本人的关系
	private String name;		// 成员姓名
	private String idCard;		// 身份证号码
	private String gender;		// 成员性别
	private String contact;		// 成员联系方式
	
	public WorkStaffFamily() {
		super();
	}

	public WorkStaffFamily(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaff() {
		return staff;
	}

	public void setStaff(String staff) {
		this.staff = staff;
	}
	
	@ExcelField(title="与本人的关系", align=2, sort=8)
	public String getRelation() {
		return relation;
	}

	public void setRelation(String relation) {
		this.relation = relation;
	}
	
	@ExcelField(title="成员姓名", align=2, sort=9)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="身份证号码", align=2, sort=10)
	public String getIdCard() {
		return idCard;
	}

	public void setIdCard(String idCard) {
		this.idCard = idCard;
	}
	
	@ExcelField(title="成员性别", dictType="", align=2, sort=11)
	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}
	
	@ExcelField(title="成员联系方式", align=2, sort=12)
	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}
	
}